

import 'package:flutter/material.dart';
import 'package:flutter_wisetronic/widgets/general/breadcrumbs.dart';
import 'package:responsive_builder/responsive_builder.dart';

import '../constants.dart';
import '../generated/l10n.dart';
import '../widgets/desktop/desktop_user_profile.dart';
import '../widgets/general/bottom_nav.dart';
import '../widgets/general/navigationbar.dart';
import '../widgets/mobile/MobileBottomNav.dart';
import '../widgets/mobile/mobile_user_profile.dart';

class UserProfile extends StatelessWidget {
  const UserProfile({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return ResponsiveBuilder(
      builder: (context, sizingInformation) =>
        Scaffold(
          appBar: MiniNavigationBar(
            title: S.of(context).profile,
            back: true,
            breadCrumbs: [
              BreadCrumb(S.of(context).profile, null),
            ],
            breadCrumbHeight: sizingInformation.deviceScreenType == DeviceScreenType.mobile ? null : Constants.BREADCRUMB_HEIGHT,
          ),
          drawer: null,
          body: ScreenTypeLayout(
            mobile: MobileUserProfile(),
            tablet: DesktopUserProfile(),
            desktop: DesktopUserProfile(),
          ),
          bottomNavigationBar: ScreenTypeLayout(
            mobile: MobileBottomNav(currentIndex: 0,),
            tablet: BottomNav(),
            desktop: BottomNav(),
          ),
        ),
    );
  }

}